<?php
global $app;
$app->loadLang('mr');
if($app->rawModule == 'pullreq') $lang->pullreq = $lang->mr;
$lang->pullreq->common = 'Push Request';

$lang->pullreq->viewAction   = "{$lang->pullreq->common} Detail";
$lang->pullreq->view         = "Detail";
$lang->pullreq->browse       = "Browse {$lang->pullreq->common}";
$lang->pullreq->browseAction = "List {$lang->pullreq->common}";
$lang->pullreq->list         = $lang->pullreq->browse;
$lang->pullreq->edit         = "Edit {$lang->pullreq->common}";
$lang->pullreq->delete       = "Delete {$lang->pullreq->common}";
$lang->pullreq->accept       = 'Push Request';
$lang->pullreq->acceptMR     = 'Push';
$lang->pullreq->pushBranch   = 'Push Branch';
$lang->pullreq->editAction   = '%s, edited by <strong>%s</strong> on <a href="%s">Push Request</a>.';
$lang->pullreq->removeAction = '%s, deleted by <strong>%s</strong> on <a href="%s">Push Request</a>.';
$lang->pullreq->createAction = '%s, <strong>%s</strong> submitted a <a href="%s">Push Request</a>.';

$lang->pullreq->action = new stdclass();
$lang->pullreq->action->synced   = '$date, synced by <strong>$actor</strong>.';
$lang->pullreq->action->imported = '$date, imported by <strong>$actor</strong>.';

$lang->pullreq->linkStory = 'Link Story';
$lang->pullreq->linkBug   = 'Link Bug';
$lang->pullreq->linkTask  = 'Link Task';
$lang->pullreq->unlink    = 'Unlink Story/Bug/Task';

$lang->pullreq->approval = 'Approval';
$lang->pullreq->approve  = 'Approve';
$lang->pullreq->reject   = 'Reject';
$lang->pullreq->close    = 'Close';
$lang->pullreq->reopen   = 'Reopen';

$lang->pullreq->confirmDelete = 'Are you sure to delete this push request?';
$lang->pullreq->noChanges     = "There is no change in this push request's source branch. Please push new commit or use different branch.";
$lang->pullreq->conflictsTip  = 'This push request has conflicts, cannot be approved';

$lang->pullreq->reopenSuccess   = "Reopened push request.";
$lang->pullreq->closeSuccess    = "Closed push request.";
$lang->pullreq->mergeFailed     = "Can't push, please check the push request status.";
$lang->pullreq->mergeSuccess    = "Pushed";
$lang->pullreq->hasNoConflict   = "Can be pushed";
$lang->pullreq->commandDocument = "Please manually resolve the conflicts and re-push the commit.";
$lang->pullreq->acceptTip       = 'After approval, the push request can be pushed.';
$lang->pullreq->conflictsTip    = 'This push request has conflicts, cannot be approved';

$lang->pullreq->mergeStatusList['can_be_merged']    = 'Can be pushed';
$lang->pullreq->mergeStatusList['cannot_be_merged'] = 'Cannot be pushed';

$lang->pullreq->statusList['merged'] = 'Pushed';

$lang->pullreq->featureBar['browse']['merged'] = $lang->pullreq->statusList['merged'];

$lang->pullreq->canMerge    = 'Can be pushed';
$lang->pullreq->cantMerge   = 'Cannot be pushed';
$lang->pullreq->mergeStatus = 'Can be pushed';

$lang->pullreq->devopsEvents['storylinked'] = new stdclass();
$lang->pullreq->devopsEvents['storylinked']->name  = 'Linked to push request';
$lang->pullreq->devopsEvents['storylinked']->title = 'Linked to push request';
$lang->pullreq->devopsEvents['storylinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['storylinked']->color = 'special';

$lang->pullreq->devopsEvents['storyunlinked'] = new stdclass();
$lang->pullreq->devopsEvents['storyunlinked']->name  = 'Unlinked from push request';
$lang->pullreq->devopsEvents['storyunlinked']->title = 'Unlinked from push request';
$lang->pullreq->devopsEvents['storyunlinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['storyunlinked']->color = 'special';

$lang->pullreq->devopsEvents['buglinked'] = new stdclass();
$lang->pullreq->devopsEvents['buglinked']->name  = 'Linked to push request';
$lang->pullreq->devopsEvents['buglinked']->title = 'Linked to push request';
$lang->pullreq->devopsEvents['buglinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['buglinked']->color = 'special';

$lang->pullreq->devopsEvents['bugunlinked'] = new stdclass();
$lang->pullreq->devopsEvents['bugunlinked']->name  = 'Unlinked from push request';
$lang->pullreq->devopsEvents['bugunlinked']->title = 'Unlinked from push request';
$lang->pullreq->devopsEvents['bugunlinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['bugunlinked']->color = 'special';

$lang->pullreq->devopsEvents['tasklinked'] = new stdclass();
$lang->pullreq->devopsEvents['tasklinked']->name  = 'Linked to push request';
$lang->pullreq->devopsEvents['tasklinked']->title = 'Linked to push request';
$lang->pullreq->devopsEvents['tasklinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['tasklinked']->color = 'special';

$lang->pullreq->devopsEvents['taskunlinked'] = new stdclass();
$lang->pullreq->devopsEvents['taskunlinked']->name  = 'Unlinked from push request';
$lang->pullreq->devopsEvents['taskunlinked']->title = 'Unlinked from push request';
$lang->pullreq->devopsEvents['taskunlinked']->link  = helper::createLink('pullreq', 'view', 'MRID=%s');
$lang->pullreq->devopsEvents['taskunlinked']->color = 'special';
