ALTER TABLE `zt_build` DROP `artifactRepoID`;
ALTER TABLE `zt_build` ADD `artifacts` TEXT NOT NULL AFTER `bugs`;

CREATE TABLE IF NOT EXISTS `zt_devops_action` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `objectType` varchar(30) NOT NULL,
  `objectID` mediumint unsigned NOT NULL,
  `actionType` varchar(80) NOT NULL,
  `actionID` varchar(80) NOT NULL,
  `action` varchar(80) NOT NULL,
  `actor` varchar(100) NOT NULL,
  `date` datetime NULL,
  `comment` text NULL,
  `extra` text NULL,
  `product` text NULL,
  `project` mediumint unsigned NOT NULL DEFAULT 0,
  `execution` mediumint unsigned NOT NULL DEFAULT 0,
  `vision` varchar(10) NOT NULL DEFAULT 'rnd',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
CREATE INDEX `idx_object_type_id` ON `zt_devops_action`(`objectType`, `objectID`);
